Package org.opengis.cite.ogcapifeatures10.conformance

# Class CommonFixture

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

Direct Known Subclasses:
  `AbstractBBoxCrs`, `AbstractFeatureCrs`, `AbstractFeaturesCrs`, `ApiDefinition`, `CommonDataFixture`, `Conformance`, `GeneralHttp`, `LandingPage`

public class CommonFixture extends Object
A supporting base class that sets up a common test fixture. These configuration methods are invoked before those defined in a subclass.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected io.restassured.filter.log.RequestLoggingFilter`
  `requestLoggingFilter`
  `protected io.restassured.filter.log.ResponseLoggingFilter`
  `responseLoggingFilter`
  `protected URI`
  `rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonFixture()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearMessages()`
  clearMessages.
  `String`
  `getRequest()`
  getRequest.
  `String`
  `getResponse()`
  getResponse.
  `protected io.restassured.specification.RequestSpecification`
  `init()`
  init.
  `void`
  `initCommonFixture(org.testng.ITestContext testContext)`
  Initializes the common test fixture with a client component for interacting with HTTP endpoints.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### requestLoggingFilter

    protected io.restassured.filter.log.RequestLoggingFilter requestLoggingFilter

  - ### responseLoggingFilter

    protected io.restassured.filter.log.ResponseLoggingFilter responseLoggingFilter

  - ### rootUri

    protected URI rootUri

- ## Constructor Details

  - ### CommonFixture

    public CommonFixture()

- ## Method Details

  - ### initCommonFixture

    @BeforeClass public void initCommonFixture(org.testng.ITestContext testContext)
    Initializes the common test fixture with a client component for interacting with HTTP endpoints.
    Parameters:
      `testContext` - The test context that contains all the information for a test run, including suite attributes.

  - ### clearMessages

    @BeforeMethod public void clearMessages()

    clearMessages.

  - ### getRequest

    public String getRequest()

    getRequest.

    Returns:
      a `String` object

  - ### getResponse

    public String getResponse()

    getResponse.

    Returns:
      a `String` object

  - ### init

    protected io.restassured.specification.RequestSpecification init()

    init.

    Returns:
      a `RequestSpecification` object